22 marzo 2011

Installare Firefox 4 su Ubuntu e derivate da PPA Ufficiale


A poche ore dal rilascio di Firefox 4 ecco che compaiono i ppa ufficiali per installare Firefox 4 su Ubuntu e derivate.
I ppa sono appena stati aggiornati e sono funzionanti per Ubuntu 10.10 ed Ubuntu 10.04
Vediamo ora come installare quindi Firefox 4 da ppa su Ubuntu Maverick ed Ubuntu Lucid.
Apriamo il terminale ed aggiungiamo il Firefox Stable Channel Packages

sudo add-apt-repository ppa:mozillateam/firefox-stable

ed installiamo il tutto dando

sudo apt-get update && sudo apt-get upgrade

Ora non resta che installare manualmente il file di traduzione italiana cliccando sul seguente link per la versione 32 bit ed qui per la versione a 64 bit (anche se dovrebbe essere la stessa visto che è solo una traduzione :P); comparirà la finestra di installazione, confermate e riavviate Firefox 4 che ora sarà tradotto e pronto all'uso :)
Buona navigazione :)

23 commenti:

  1. ciao ho provato il tuo metodo perchè non mi và di impelagarmi con le sorgenti ma continua a darmi questo errore
    lain@ubuntu:~$ sudo add-apt-repository ppa:mozillateam/firefox-stable
    Executing: gpg --ignore-time-conflict --no-options --no-default-keyring --secret-keyring /etc/apt/secring.gpg --trustdb-name /etc/apt/trustdb.gpg --keyring /etc/apt/trusted.gpg --primary-keyring /etc/apt/trusted.gpg --keyserver keyserver.ubuntu.com --recv 0AB215679C571D1C8325275B9BDB3D89CE49EC21
    gpg: richiesta della chiave CE49EC21 dal server hkp keyserver.ubuntu.com
    gpg: richiesta della chiave CE49EC21 dal server hkp keyserver.ubuntu.com
    gpg: time out del server di chiavi
    gpg: ricezione dal server di chiavi non riuscita: errore del keyserver

    risulta anche a te che il keyserver non sia online?!

    RispondiElimina
  2. Riprova fra un pò, potrebbe essere un problema momentaneo di rete.

    RispondiElimina
  3. Chiaramente upgradiamo alla stabile 4 almeno spero..... Ciao Marco

    RispondiElimina
  4. Da quanto sto notando usando il browser per la navigazione giornaliera l'upgrade è vivamente consigliato :)

    RispondiElimina
  5. Ho un problema: visualizzo google in inglese.. come faccio a riaverlo in italiano?

    RispondiElimina
  6. Sulla home di Google troverai in alto a destra una voce "Impostazioni di ricerca" che nel caso tuo sarà l'equivalente inglese "Search setting". Premi quel link, ti si aprirà una nuova pagina e li alla voce "Interface Language" nel menù di selezioni imposta l'italiano come lingua. Clicca poi su "Save preference" e poi su Ok.

    RispondiElimina
  7. Grazie sei un grande!

    RispondiElimina
  8. Ciao
    anche io ho aggiornato firefox dal ppa mozillateam/firefox-stable ma ho un problema con il plugin java (prima sulla 3.6 funzionava)

    da about:plugins java è scomparso e se cerco di installare sun-java6-jre mi dice che è già installato.

    da terminale: java -version
    java version "1.6.0_24"
    Java(TM) SE Runtime Environment (build 1.6.0_24-b07)
    Java HotSpot(TM) Client VM (build 19.1-b02, mixed mode, sharing)

    quindi c'è ma non capisco perchè firefox 4 non lo veda.

    RispondiElimina
  9. Ciao Speppa prova a reinstallare il plugin java per firefox

    sun-java6-plugin

    RispondiElimina
  10. problema con terminale! dopo l'inserimento di:
    * sudo add-apt-repository ppa:mozillateam/firefox-stable
    * sudo apt-get update
    * sudo apt-get install firefox;
    mi chiede di inserire la password per l'account ma al mio digitare i tasti non si attua la scrittura in esso(nel terminale)...

    RispondiElimina
  11. Ciao francesco, prima volta col terminale malefico immagino :P
    Durante la digitazione della password non compare nessuna scritta ma non preoccuparti, funziona proprio così. Tu digita la password e premi invio e vedrai che funzionerà :)

    RispondiElimina
  12. con la password si, altre volte rinunciai(dato il non esser cosi importante quanto facevo); ma già che ci sono chiedendo imparo anche...riuscito... grazie molte

    RispondiElimina
  13. Di nulla, si è qui sempre per imparare, è il bello di GNU/Linux :) Sapessi le mie prime esperienze traumatiche le prime volte :D

    RispondiElimina
  14. @Marco: ho dato sudo apt-get install sun-java6-plugin e sembra essere tutto a posto, grazie!
    Ciao

    RispondiElimina
  15. ciao, ho modificato gli script di ubuntuzilla per fare generare pacchetti pronti e localizzati in qualsiasi linuga per ubuntu dai binari. Volevo sapere se era possibile postarli in modo che li possano utilizzare tutti. E' molto + faciel dei repo :D. Fammi sapere.

    RispondiElimina
  16. Antonio da Albano Laziale23 aprile 2011 00:04

    Grazie tanto, con i tuoi consigli ho installato libreOffice e Firefox usando il gestore pacchetti, che mi assicura anche gli aggiornamenti.

    RispondiElimina
  17. Ciao, Marko... Sono nuovo in questo, anche se ho fato gia parecchi aggiornamenti e una installazione pulita del mint. Guarda, come il Mint e derivato da ubuntu, ho provato a fare la installazione come dici qua sul Julia. Adesso, il mio PC non accende e dice questo messaggio:

    No init found. Try passing init=bootarg

    Alla fine, ho provato a reisntallare il Linux mint, ma il programa di installazione si ferma sul 2do schermo e non va piu. Ho provato a reisntallare il grub, e mi dice il seguente:

    grub-probe: error: cannot find a device for /boot (is /dev mounted?).

    Sono un disperato, e sto correendo il linux mint dalla chiaveta d-installazione. Mi puoi aiutare? Grazie

    sergio

    RispondiElimina
  18. Ciao Tango, il problema che mi segnali non è imputabile ai pacchetti (ps comunque su Julia c'è già Firefox 4 e la guida si riferisce a versioni precedenti di Ubuntu e quindi mint https://launchpad.net/~mozillateam/+archive/firefox-stable)
    Detto questo ho fatto una ricerca su internet per avere qualche informazioni sull'errore da te riscontrato e la possibile soluzione ed ho trovato un paio di informazioni.

    A questo indirizzo http://www.linux-magazine.it/forum/index.php?topic=4061.0;wap2 un utente ha riscontrato l'errore No init found. Try passing init=bootarg
    e come puoi leggere ha risolto con un live cd (o usb fa lo stesso) dando

    ciao...
    ho risolto utilizzando una live cd...
    da terminale ho dato:

    sudo fsck /dev/sda6 (la mia root) e al successivo riavvio si è avviato...

    Per quanto riguarda il problema della reinstallazione trovi info a questo link

    http://www.linuxquestions.org/questions/linux-software-2/grub-probe-error-cannot-find-a-device-for-in-chroot-770865/

    Qui altre info sul forum ufficiale di Linux Mint

    http://forums.linuxmint.com/viewtopic.php?f=46&t=47260

    oppure qui

    http://www.linuxquestions.org/questions/linux-mint-84/grub-reinstall-error-862642/

    Dai una lettura ai vari link e alle soluzioni proposte :)

    RispondiElimina

Licenza
Licenza Creative Commons

Quest' opera è distribuita con licenza Creative Commons Attribuzione - Non commerciale - Non opere derivate 3.0 Unported. Questo blog non rappresenta una testata giornalistica, in quanto viene aggiornato senza alcuna periodicità. Non può, pertanto, considerarsi un prodotto editoriale, ai sensi della legge n. 62 del 7/03/2001

Disclaimer immagini

Le immagini utilizzate in questo blog appartengono ai loro rispettivi autori e sono utilizzati per scopi educativi, personali e senza scopo di lucro. Ogni eventuale violazione del copyright non è intenzionale, ma se si riconosce un'immagine protetta da copyright, fatemelo sapere qui, e sarò lieto di aggiungere i credits o modificarla o rimuoverla.

Disclaimer images

Images used on this blog belong to their respective authors and are used for educational, personal and no profit purposes. Any eventual copyright infringement is not intentional, but if you recognize a copyrighted image, please let me know here, and I'll happily provide to add the right credits or modify or remove it.